import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { CategoryItemHighlightType } from "./CategoryItemHighlightType";
import { MarkerType } from "./MarkerType";
import { Brush } from "igniteui-react-core";
import { DataTemplate } from "igniteui-react-core";
import { CategoryItemHighlightLayerFrame } from "./CategoryItemHighlightLayerFrame";
import { Type, Point } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { ItemHighlightFrameRect } from "./ItemHighlightFrameRect";
import { List$1 } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { ContentControl } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class CategoryItemHighlightLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    i2(a: SeriesView): void;
    protected ne: CategoryItemHighlightLayerView;
    ni: Series;
    nm: boolean;
    nf: CategoryItemHighlightType;
    nh: MarkerType;
    od: Brush;
    oe: Brush;
    n3: DataTemplate;
    no: number;
    nl: boolean;
    protected mv(a: Series, b: boolean): void;
    protected mi(a: Series): boolean;
    protected mx(a: Frame, b: SeriesView): void;
    private nk;
    private nj;
    protected i7(a: any, b: string, c: any, d: any): void;
    private nn;
    private n0;
    ny(a: Point, b: CategoryItemHighlightLayerFrame, c: Series): void;
    private ng;
    nz(a: Rect, b: CategoryItemHighlightLayerFrame, c: Series): void;
    protected m0(a: Frame, b: SeriesView): void;
    n1(a: ItemHighlightFrameRect, b: ContentControl): void;
    n2(a: ItemHighlightFrameRect, b: Rectangle): void;
    protected c8(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CategoryItemHighlightLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CategoryItemHighlightLayer);
    protected b1: CategoryItemHighlightLayer;
    b3: Pool$1<Rectangle>;
    b2: Pool$1<ContentControl>;
    ap(): void;
    protected b4: List$1<ContentControl>;
    protected b5: List$1<Rectangle>;
    private ch;
    private cb;
    private cd;
    private cc;
    private ce;
    private b6;
    private b8;
    private b7;
    cf(a: Brush): Brush;
    cg(a: Brush): Brush;
    ca(a: Rectangle, b: number, c: number, d: number, e: number): void;
    b9(a: ContentControl, b: number, c: number): void;
    protected be(a: any, b: number): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
